import { OnDestroy, OnInit } from '@angular/core';
import { ElementsError } from '../elements.interfaces';
import { BbFormSubmit } from './form-submit.directive';
import { NgControl } from '@angular/forms';
export declare class BbFormError implements OnInit, OnDestroy {
    private _control;
    private _form;
    private _errors;
    private _error$;
    private _subscription;
    constructor(_control: NgControl, _form: BbFormSubmit, _errors: ElementsError[]);
    readonly error: import("rxjs").Observable<{
        token: string;
        data?: any;
    }>;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
